### Hierarchy

- AVisInstance
  - LayoutedProvVis

### Implements

- IEventHandler
- IVisInstance

## Index

### Constructors

- constructor

### Properties

- data
- id
- parent
- MULTI_EVENT_SEPARATOR

### Accessors

- isBuilt
- node
- rawSize
- size

### Methods

- destroy
- fire
- getRegisteredHandlerCount
- locate
- locateById
- locateImpl
- markReady
- off
- on
- option
- persist
- propagate
- restore
- stopPropagation
- transform
- update

## Constructors

### constructor

- new LayoutedProvVis(data: ProvenanceGraph, parent: Element, options: any): LayoutedProvVis

- - Defined in provvis.ts:411

  #### Parameters

  - ##### data: ProvenanceGraph

  - ##### parent: Element

  - ##### options: any

  #### Returns LayoutedProvVis

## Properties

### data

data: ProvenanceGraph

- Defined in provvis.ts:413

### id

id: any = uniqueId('vis')

Inherited from AVisInstance.id

- Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:181

### parent

parent: Element

- Defined in provvis.ts:413

### Static MULTI_EVENT_SEPARATOR

MULTI_EVENT_SEPARATOR: "," = ","

Inherited from EventHandler.MULTI_EVENT_SEPARATOR

- Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:136

## Accessors

### isBuilt

isBuilt:

Inherited from AVisInstance.isBuilt

- Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:196

### node

node:

- Defined in provvis.ts:471

### rawSize

rawSize:

Overrides AVisInstance.rawSize

- Defined in provvis.ts:467

### size

size:

Inherited from AVisInstance.size

- Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:256

## Methods

### destroy

- destroy(): void

- Overrides AVisInstance.destroy

  - Defined in provvis.ts:462

  #### Returns void

### fire

- fire(events: string, ...args: any[]): this

- Inherited from EventHandler.fire

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:210

  fires an event

  #### Parameters

  - ##### events: string

    name(s) of the event

  - ##### Rest ...args: any[]

    additional arguments

  #### Returns this

### getRegisteredHandlerCount

- getRegisteredHandlerCount(): object

- Inherited from EventHandler.getRegisteredHandlerCount

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:196

  list for each registered event the number of listeners

  #### Returns object

  - ##### [key: string]: number

### locate

- locate(...range: Range[]): any

- Inherited from AVisInstance.locate

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:207

  #### Parameters

  - ##### Rest ...range: Range[]

  #### Returns any

### locateById

- locateById(...range: Range[]): any

- Inherited from AVisInstance.locateById

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:214

  #### Parameters

  - ##### Rest ...range: Range[]

  #### Returns any

### locateImpl

- locateImpl(range: Range): any

- Overrides AVisInstance.locateImpl

  - Defined in provvis.ts:485

  #### Parameters

  - ##### range: Range

  #### Returns any

### Protected markReady

- markReady(built?: boolean): void

- Inherited from AVisInstance.markReady

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:200

  #### Parameters

  - ##### Default value built: boolean = true

  #### Returns void

### off

- off(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.off

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:172

  unregister a global event handler

  #### Parameters

  - ##### events: string | object

  - ##### Optional handler: IEventListener

  #### Returns this

### on

- on(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.on

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:150

  register a global event handler

  #### Parameters

  - ##### events: string | object

    either one event string (multiple are supported using , as separator) or a map of event handlers

  - ##### Optional handler: IEventListener

    the handler in case of a given string

  #### Returns this

### option

- option(name: string, val?: any): any

- Overrides AVisInstance.option

  - Defined in provvis.ts:475

  #### Parameters

  - ##### name: string

  - ##### Optional val: any

  #### Returns any

### persist

- persist(): any

- Inherited from AVisInstance.persist

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:192

  #### Returns any

### propagate

- propagate(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.propagate

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:230

  registers on the given event handler and propagates the given events to itself

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

### restore

- restore(persisted: any): Promise

- Inherited from AVisInstance.restore

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:227

  #### Parameters

  - ##### persisted: any

  #### Returns Promise

### stopPropagation

- stopPropagation(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.stopPropagation

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:234

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

### transform

- transform(): ITransform

- Inherited from AVisInstance.transform

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/vis.ts:245

  #### Returns ITransform

### update

- update(): void

- Overrides AVisInstance.update

  - Defined in provvis.ts:637

  #### Returns void

Generated using TypeDoc